package com.engine.kq.bean;

import java.util.List;
import java.util.Map;

/**
 * 属性节点
 */
public class TreeNode {
	
	private String id;					//节点ID 【在树上不一定唯一，需要和type共同使用】
	private String name;				//节点显示名
	private String desc;			    //节点描述
	private String linkUrl;				//节点链接
	private String icon;				//节点图标
	private String pid; 				//父节点ID
	private boolean isParent;			//是否为父节点 
	private List<TreeNode> subs; //子节点数据
	private String type; //类型
	//其他属性
	private Map<String,Object> prop;
	private boolean isSelected; //是否默认选中
	private boolean canClick;	//当前节点是否可点击
	private String title;  
	
	public TreeNode() {
	}
	
	public TreeNode(String id, String name, String pid, boolean isParent) {
		this.id = id;
		this.name = name;
		this.pid = pid;
		this.isParent = isParent;
	}
	public TreeNode(String id, String name, String pid, boolean isParent, List<TreeNode> subs) {
		this.id = id;
		this.name = name;
		this.pid = pid;
		this.isParent = isParent;
		this.subs = subs;
	}
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	public String getLinkUrl() {
		return linkUrl;
	}
	public void setLinkUrl(String linkUrl) {
		this.linkUrl = linkUrl;
	}
	public String getPid() {
		return pid;
	}
	public void setPid(String pid) {
		this.pid = pid;
	}
	public boolean getIsParent() {
		return isParent;
	}
	public void setIsParent(boolean isParent) {
		this.isParent = isParent;
	}
	public List<TreeNode> getSubs() {
		return subs;
	}
	public void setSubs(List<TreeNode> subs) {
		this.subs = subs;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getDesc() {
		return desc;
	}
	public void setDesc(String desc) {
		this.desc = desc;
	}

	public Map<String, Object> getProp() {
		return prop;
	}

	public void setProp(Map<String, Object> prop) {
		this.prop = prop;
	}

	public void setParent(boolean isParent) {
		this.isParent = isParent;
	}

	public String getIcon() {
		return icon;
	}

	public void setIcon(String icon) {
		this.icon = icon;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public boolean isSelected() {
		return isSelected;
	}

	public void setSelected(boolean isSelected) {
		this.isSelected = isSelected;
	}

	public boolean isCanClick() {
		return canClick;
	}

	public void setCanClick(boolean canClick) {
		this.canClick = canClick;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}
}